###--- >>> `svm' <<<----- Support Vector Machines

	## alias	 help(svm)
	## alias	 help(svm.default)
	## alias	 help(svm.formula)
	## alias	 help(summary.svm)
	## alias	 help(print.svm)

##___ Examples ___:

data(iris)
attach(iris)

## classification mode
# default with factor response:
model <- svm (Species~., data=iris)

# alternatively the traditional interface:
x <- subset (iris, select = -Species)
y <- Species
model <- svm (x, y) 

print (model)
summary (model)

# test with train data
pred <- predict (model, x)

# Check accuracy:
table (pred,y)

## try regression mode on two dimensions

# create data
x <- seq (0.1,5,by=0.05)
y <- log(x) + rnorm (x, sd=0.2)

# estimate model and predict input values
m   <- svm (x,y)
new <- predict (m,x)

# visualize
plot   (x,y)
points (x, log(x), col=2)
points (x, new, col=4)

## density-estimation

# create 2-dim. normal with rho=0:
X <- data.frame (a=rnorm (1000), b=rnorm (1000))
attach (X)

# traditional way:
m <- svm (X)

# formula interface:
m <- svm (~a+b)
# or:
m <- svm (~., data=X)

# test:
predict (m, t(c(0,0)))
predict (m, t(c(4,4)))

# visualization:
plot (X)
points (X[m$index,], col=2)

## Keywords: 'neural', 'nonlinear', 'classif'.


